/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package com.trifork.stamdata.models;

public class BarnRelationVO extends BaseTemporalVO {
    public BarnRelationVO() {
    }

    private String Id;
    private String CPR;
    private String BarnCPR;
    private String Unreliable;

    public String getUnreliable() {
        return Unreliable;
    }
    public void setUnreliable(String unreliable) {
        Unreliable = unreliable;
    }
    public String getId() {
        return Id;
    }
    public void setId(String id) {
        Id = id;
    }
    public String getCPR() {
        return CPR;
    }
    public void setCPR(String cPR) {
        CPR = cPR;
    }
    public String getBarnCPR() {
        return BarnCPR;
    }
    public void setBarnCPR(String barnCPR) {
        BarnCPR = barnCPR;
    }
    @Override
    public String toString() {
        return "BarnRelationVO [Id=" + Id + ", CPR=" + CPR + ", BarnCPR=" + BarnCPR + ", Unreliable=" + Unreliable
                + ", getValidFrom()=" + getValidFrom() + ", getValidTo()=" + getValidTo() + ", getModifiedDate()="
                + getModifiedDate() + ", getCreatedDate()=" + getCreatedDate() + "]";
    }


}
