/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package com.trifork.stamdata.models;

public class YderVO extends BaseTemporalVO
{
	public YderVO()
	{
	}

    private String Id ;
    private String HistIdYder ;
    private String AmtKodeYder;
    private String AmtTxtYder;
    private String YdernrYder;
    private String PrakBetegn;
    private String AdrYder;
    private String PostnrYder;
    private String PostdistYder;
    private String TilgDatoYder;
    private String AfgDatoYder;
    private String HvdSpecKode;
    private String HvdSpecTxt;
    private String HvdTlf;
    private String EmailYder;
    private String WWW;
    private String CVR;

    public String getId() {
        return Id;
    }

    public void setId(String id) {
        Id = id;
    }

    public String getHistIdYder() {
        return HistIdYder;
    }

    public void setHistIdYder(String histIdYder) {
        HistIdYder = histIdYder;
    }

    public String getAmtKodeYder() {
        return AmtKodeYder;
    }

    public void setAmtKodeYder(String amtKodeYder) {
        AmtKodeYder = amtKodeYder;
    }

    public String getAmtTxtYder() {
        return AmtTxtYder;
    }

    public void setAmtTxtYder(String amtTxtYder) {
        AmtTxtYder = amtTxtYder;
    }

    public String getYdernrYder() {
        return YdernrYder;
    }

    public void setYdernrYder(String ydernrYder) {
        YdernrYder = ydernrYder;
    }

    public String getPrakBetegn() {
        return PrakBetegn;
    }

    public void setPrakBetegn(String prakBetegn) {
        PrakBetegn = prakBetegn;
    }

    public String getAdrYder() {
        return AdrYder;
    }

    public void setAdrYder(String adrYder) {
        AdrYder = adrYder;
    }

    public String getPostnrYder() {
        return PostnrYder;
    }

    public void setPostnrYder(String postnrYder) {
        PostnrYder = postnrYder;
    }

    public String getPostdistYder() {
        return PostdistYder;
    }

    public void setPostdistYder(String postdistYder) {
        PostdistYder = postdistYder;
    }

    public String getTilgDatoYder() {
        return TilgDatoYder;
    }

    public void setTilgDatoYder(String tilgDatoYder) {
        TilgDatoYder = tilgDatoYder;
    }

    public String getAfgDatoYder() {
        return AfgDatoYder;
    }

    public void setAfgDatoYder(String afgDatoYder) {
        AfgDatoYder = afgDatoYder;
    }

    public String getHvdSpecKode() {
        return HvdSpecKode;
    }

    public void setHvdSpecKode(String hvdSpecKode) {
        HvdSpecKode = hvdSpecKode;
    }

    public String getHvdSpecTxt() {
        return HvdSpecTxt;
    }

    public void setHvdSpecTxt(String hvdSpecTxt) {
        HvdSpecTxt = hvdSpecTxt;
    }

    public String getHvdTlf() {
        return HvdTlf;
    }

    public void setHvdTlf(String hvdTlf) {
        HvdTlf = hvdTlf;
    }

    public String getEmailYder() {
        return EmailYder;
    }

    public void setEmailYder(String emailYder) {
        EmailYder = emailYder;
    }

    public String getWWW() {
        return WWW;
    }

    public void setWWW(String wWW) {
        WWW = wWW;
    }

    public String getCVR() {
        return CVR;
    }

    public void setCVR(String cVR) {
        CVR = cVR;
    }

    @Override
    public String toString() {
        return "YderVO [Id=" + Id + ", HistIdYder=" + HistIdYder + ", AmtKodeYder=" + AmtKodeYder + ", AmtTxtYder="
                + AmtTxtYder + ", YdernrYder=" + YdernrYder + ", PrakBetegn=" + PrakBetegn + ", AdrYder=" + AdrYder
                + ", PostnrYder=" + PostnrYder + ", PostdistYder=" + PostdistYder + ", TilgDatoYder=" + TilgDatoYder
                + ", AfgDatoYder=" + AfgDatoYder + ", HvdSpecKode=" + HvdSpecKode + ", HvdSpecTxt=" + HvdSpecTxt
                + ", HvdTlf=" + HvdTlf + ", EmailYder=" + EmailYder + ", WWW=" + WWW + ", CVR=" + CVR
                + ", getValidFrom()=" + getValidFrom() + ", getValidTo()=" + getValidTo() + ", getModifiedDate()="
                + getModifiedDate() + ", getCreatedDate()=" + getCreatedDate() + "]";
    }

}
